using IWS5.DatabaseAccess.IwsDataModels;

namespace IWS5.DatabaseAccess.Interfaces.IAdmin;

public interface IServerRepository
{
    Task<List<Atserver>> ListAsync();
    Task<Atserver?> GetByNameAsync(string name);
    Task AddAsync(Atserver entity);
    Task UpdateAsync(Atserver entity);
    Task DeleteAsync(Atserver entity);
}
